# Getting started

## About the API

> The Asters API is built on REST principles and uses JSON as a data interchange format.\
> The Asters API is served over HTTPS to ensure data privacy.

Don't forget to add these **headers** to each and every request:

```javascript
Content-Type: application/json
Accept: application/json
```

Use the following base URL for all API endpoints:

{% tabs %}
{% tab title="v1" %}

```javascript
https://api.asters.ai/api/external/v1.0/
```

{% endtab %}
{% endtabs %}

***

## Versioning

All our requests use the latest version of the API, as shown in the base URL. \
We'll do our best to keep older API versions running as long as possible, but things can change. \
So, our friendly advice is to stick with the latest version that's officially available.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.asters.ai/api/overview/getting-started.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
